# devenblake/dotfiles
Pretty config stuff.

![This is a screenshot of my desktop.](https://web.archive.org/web/20200926155417if_/https://i.redd.it/jwhsmokcfcp51.png)

## applications shown (and some unshown)

### display manager
I use [ly](https://github.com/nullgemm/ly).

### file manager
[Bash](https://www.gnu.org/software/bash/). My Bash aliases and stuff are all in `.bashrc`. My `PS1` is "> ", which is **bad practice**. I use it like this because I think it looks cool but when pasting in a command you could accidentally `> file` and delete an important file.

### status bar
[i3status](https://i3wm.org/i3status/). The configuration file is at `.config/i3status/config` in this repo.

A caveat is that the interface names in the i3status configuration (`wlan0` and `enp0s25`) are specific to my system. A kinda ugly hack but I didn't expect to get [300 upvotes on Reddit](https://www.reddit.com/r/unixporn/comments/izpvwp/i3gaps_basic_but_it_works/) for my desktop!

### wallpaper
[This 1920x1080 Asuka edit](https://archive.org/details/asuka-98).

### winamp skin
This [Sailor Moon themed skin](https://archive.org/details/winampskin_Sailor_Moon_Gang) on [Audacious](https://audacious-media-player.org/).

### window manager
[i3-gaps](https://github.com/Airblader/i3). The configuration file is at `.config/i3/config`. The configuration has the wallpaper at `/home/ibukimaya/Pictures/Wallpapers/Asuka\ 98.jpg`, this may need to be changed.

### xterm
My xterm config is at .Xresources. I haven't had good luck at getting fonts to work with it but [unscii](http://pelulamu.net/unscii/) works great. The way I "installed" the TTF font is by moving `unscii-16-full.ttf` to `.local/share/fonts` and then running `fc-cache` before checking `fc-list` for unscii (`fc-list | grep unscii`). I use [this terminal color theme](https://www.reddit.com/r/unixporn/comments/hjzw5f/oc_qualitative_color_palette_for_ansi_terminal/) ([here's a webarchive link just in case](https://web.archive.org/web/20200926160802/https://www.reddit.com/r/unixporn/comments/hjzw5f/oc_qualitative_color_palette_for_ansi_terminal/fwpludj/?context=3)) because it's pretty to me.

## get the look

This is potentially destructive to your current i3wm, i3status, and xterm configurations. I'm leaving this plug-and-chug sequence of commands *for myself* in the future when I inevitably bork my system and have to reinstall - **this isn't contained in a shell script for a reason**, please make sure you understand any commands before you run them. It requires that you already have `audacious`, `coreutils` (`cd`, `mv`, and stuff like that), `curl`, `feh`, `git`, `i3-gaps`, `i3status`, PulseAudio, `rofi`, and an X server installed. These are also all untested.

`cd $HOME`, `cd `, or `cd ~`

`git clone https://github.com/devenblake/dotfiles.git`

`cp -R dotfiles/.config ./`

`cp dotfiles/.Xresources ./`

`curl http://pelulamu.net/unscii/unscii-16-full.ttf -o .local/share/fonts/unscii-16-full.ttf`

`fc-cache`

This command installs the Sailor Moon theme for all users: `sudo curl https://archive.org/download/winampskin_Sailor_Moon_Gang/Sailor_Moon_Gang.wsz -o /usr/share/audacious/Skins/Sailor_Moon_Gang.wsz`

`mkdir Pictures/Wallpapers`

`curl https://ia801502.us.archive.org/3/items/asuka-98/Asuka%2098.jpg -o Pictures/Wallpapers/Asuka\ 98.jpg`

After this you should be able to open i3 and have the configs the same way I have them. If xterm doesn't have the font, run `xdrb -load .Xresources` and that should fix it.

